Package org.eclipse.ui.internal

# Class SearchDecoration

java.lang.Object
org.eclipse.ui.internal.SearchDecoration

public class SearchDecoration extends Object
This class contains methods to validate and decorate search fields.

## Method Summary

Modifier and Type
Method
Description
`static boolean`
`validateRegex(String regex, ControlDecoration targetDecoration)`
Validate the given regular expression and change the control decoration accordingly.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### validateRegex

public static boolean validateRegex(String regex, ControlDecoration targetDecoration)
Validate the given regular expression and change the control decoration accordingly. If the expression is invalid then the decoration will show an error icon and a message and if the expression is valid then the decoration will be hidden.

Parameters:
  `regex` - The regular expression to be validated.
  `targetDecoration` - The control decoration that will show the result of the validation.